﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;

namespace WpfApplication1 {
    public class CallListDataTemplateSelector : DataTemplateSelector {
        public override DataTemplate SelectTemplate(object item, DependencyObject container) {
            if (item != null && item is CallListItem) {
                CallListItem cli = item as CallListItem;

                if (cli.EPOS)
                    return new CallListBox().EPOSCall;
                else
                    return new CallListBox().NonEPOSCall;
            }

            return null;
        }
    }
}
