﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Data;
using System.Diagnostics;

namespace WpfApplication1 {
    [ValueConversion(typeof(object), typeof(string))]
    class LastCallDateConverter : IValueConverter {
        object IValueConverter.Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture) {
            DateTime dt = DateTime.Parse(value.ToString());
            if (dt == DateTime.MinValue)
                return "No previous calls have been recorded";

            return dt.ToString("dd-MM-yyyy");
        }

        object IValueConverter.ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture) {
            return null;
        }
    }
}
